summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorjbj <devnull@localhost>2000-06-20 21:45:50 +0000
committerjbj <devnull@localhost>2000-06-20 21:45:50 +0000
commit18a1a352b4684710f0153ccab53822c7c78e8497 (patch)
treec03d291d603ccb32476f6253235bf19bbeb0167d /scripts
parent593b0c78746229347e1638ef789f3c2291c20df5 (diff)
downloadrpm-18a1a352b4684710f0153ccab53822c7c78e8497.tar.gz
rpm-18a1a352b4684710f0153ccab53822c7c78e8497.tar.bz2
rpm-18a1a352b4684710f0153ccab53822c7c78e8497.zip
- add RPMTAG_OPTFLAGS, configured optflags when package was built.
- add RPMTAG_DISTURL for rpmfind-like tools (content unknown yet). - teach brp-compress about /usr/info and /usr/share/info as well. - update macros.in from rpm-4.0 (w/o dbi configuration). CVS patchset: 3878 CVS date: 2000/06/20 21:45:50
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/brp-compress53
1 files changed, 28 insertions, 25 deletions
diff --git a/scripts/brp-compress b/scripts/brp-compress
index 6f26a4b94..843d07e41 100755
--- a/scripts/brp-compress
+++ b/scripts/brp-compress
@@ -11,37 +11,40 @@ cd $RPM_BUILD_ROOT
COMPRESS="gzip -9"
COMPRESS_EXT=.gz
-for d in ./usr/man/man* ./usr/man/*/man* \
- ./usr/share/man/man* ./usr/share/man/*/man* \
+for d in ./usr/man/man* ./usr/man/*/man* ./usr/info \
+ ./usr/share/man/man* ./usr/share/man/*/man* ./usr/share/info \
./usr/X11R6/man/man* ./usr/lib/perl5/man/man*
do
[ -d $d ] || continue
for f in `find $d -type f`
do
- if [ -f "$f" ]; then
- case "$f" in
- *.Z) gunzip $f; b=`echo $f | sed -e 's/\.Z$//'`;;
- *.gz) gunzip $f; b=`echo $f | sed -e 's/\.gz$//'`;;
- *.bz2) bunzip2 $f; b=`echo $f | sed -e 's/\.bz2$//'`;;
- *) b=$f;;
- esac
- $COMPRESS $b 2>/dev/null || {
- inode=`ls -i $b | awk '{ print $1 }'`
- others=`find $d -type f -inum $inode`
- if [ -n "$others" ]; then
- for afile in $others ; do
- [ "$afile" != "$b" ] && rm -f $afile
- done
- $COMPRESS -f $b
- for afile in $others ; do
- [ "$afile" != "$b" ] && ln $b$COMPRESS_EXT $afile$COMPRESS_EXT
- done
- else
- $COMPRESS -f $b
- fi
- }
- fi
+ [ -f "$f" ] || continue
+ [ "`basename $f`" = "dir" ] && continue
+
+ case "$f" in
+ *.Z) gunzip $f; b=`echo $f | sed -e 's/\.Z$//'`;;
+ *.gz) gunzip $f; b=`echo $f | sed -e 's/\.gz$//'`;;
+ *.bz2) bunzip2 $f; b=`echo $f | sed -e 's/\.bz2$//'`;;
+ *) b=$f;;
+ esac
+
+ $COMPRESS $b 2>/dev/null || {
+ inode=`ls -i $b | awk '{ print $1 }'`
+ others=`find $d -type f -inum $inode`
+ if [ -n "$others" ]; then
+ for afile in $others ; do
+ [ "$afile" != "$b" ] && rm -f $afile
+ done
+ $COMPRESS -f $b
+ for afile in $others ; do
+ [ "$afile" != "$b" ] && ln $b$COMPRESS_EXT $afile$COMPRESS_EXT
+ done
+ else
+ $COMPRESS -f $b
+ fi
+ }
done
+
for f in `find $d -type l`
do
l=`ls -l $f | awk '{ print $11 }' | sed -e 's/\.gz$//' -e 's/\.bz2$//' -e 's/\.Z$//'`